# SPDX-FileCopyrightText: 2024 Redict Contributors
# SPDX-License-Identifier: LGPL-3.0-only

image: alpine/latest
# procps needed for `ps j $pid` in tests
packages:
  - tcl
  - tcl-tls
  - openssl-dev
  - linux-headers
  - procps
  - moreutils
  - reuse
sources:
  - https://codeberg.org/redict/redict.git
tasks:
  - lint: |
      cd redict
      ./utils/lint.sh
  - make: |
      cd redict
      make -C src V=1 USE_JEMALLOC=no MALLOC=libc BUILD_TLS=yes
  - gen-test-certs: |
      cd redict
      ./utils/gen-test-certs.sh
  - runtest: |
      cd redict
      ./runtest --tls
  - runtest-cluster: |
      cd redict
      ./runtest-cluster
  - runtest-sentinel: |
      cd redict
      ./runtest-sentinel
  - runtest-moduleapi: |
      cd redict
      ./runtest-moduleapi
